<article class="question">
  <header class="question__header">
    <h2 class="task">
      <span class="task__number text-4">{{ order }}.</span>&nbsp;
      <span class="task__text text-3">Slovíčko</span>&nbsp;
      <span class="task__variable text-5">{{ question.pl }}</span>&nbsp;
      <span class="task__audio"><app-audio [fileName]="question.id"></app-audio></span>&nbsp;
      <span class="task__text text-3">znamená:</span>
    </h2>
  </header>

  <div class="question__content">
    <ul class="options" [ngClass]="showResult ? 'disabled' : ''">
      <li *ngFor="let option of options; let i = index" class="options__item">
        <label class="app-radio text-5" (click)="onOptionClick(option)">
          <span class="app-radio__caption" [ngClass]="showResult && question.cs != option ? 'wrong' : ''">
            {{ alphabet[i] }})&nbsp;{{ option }}
          </span>
          <input type="radio" class="app-radio__input" name="{{ question.id }}">
          <span class="app-radio__mark"></span>
        </label>
      </li>
    </ul>
    <div class="result">
      <figure class="result__img-holder">
        <img
          [ngClass]="(showResult && correct) ? 'active' : ''"
          src="/assets/img/icons/happy-face.svg" alt="happy face"
          class="result__img">
        <img
          [ngClass]="(showResult && !correct) ? 'active' : ''"
          src="/assets/img/icons/sad-face.svg"
          alt="sad face"
          class="result__img">
      </figure>
      <span class="result__text" [ngClass]="(showResult && correct) ? 'active' : ''">Dobrze</span>
      <span class="result__text" [ngClass]="(showResult && !correct) ? 'active' : ''">Špatně</span>
    </div>
  </div>

  <div class="question__controls" [ngClass]="showResult ? 'active' : ''">
    <button #nextbutton class="app-btn m-auto" (click)="onNextQuestionClick()">další</button>
  </div>
</article>
